MailcrateDocs
Webhooks

Get a webhook delivery

GET
/public/webhook/deliveries/{id}

Requires the webhook:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Response Body

application/json
  1. response
id*string
webhookEndpointId*string
eventType*string
Value in"campaign.deleted""campaign.external-audience-fetched""campaign.failed""campaign.scheduled""campaign.sending""campaign.sent""contact.created""contact.deleted""contact.unsubscribed""contact.updated""delivery.approved""delivery.bounced""delivery.clicked""delivery.complained""delivery.delivered""delivery.opened""delivery.sent""delivery.suppressed""email-template.created""email-template.deleted""email-template.updated""external-audience.created""external-audience.deleted""external-audience.updated""inbound.parsed""journey.enrolled""journey.exited""segment.created""segment.deleted""segment.entered""segment.left""segment.updated""sender-identity.created""sender-identity.updated""subscription-group.opted-in""subscription-group.opted-out"
payload*
status*string
Value in"delivered""delivering""failed""pending""retrying"
attemptCount*number
nextRetryAt*|
Formatdate-time
lastAttemptAt*|
Formatdate-time
completedAt*|
Formatdate-time
lastResponseStatusCode*number|null
lastError*string|null
created*string
Formatdate-time
Example Request
curl -X GET 'https://api.mailcrate.io/public/webhook/deliveries/string' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "id": "string",  "webhookEndpointId": "string",  "eventType": "campaign.deleted",  "payload": {},  "status": "delivered",  "attemptCount": 0,  "nextRetryAt": "2019-08-24T14:15:22Z",  "lastAttemptAt": "2019-08-24T14:15:22Z",  "completedAt": "2019-08-24T14:15:22Z",  "lastResponseStatusCode": 0,  "lastError": "string",  "created": "2019-08-24T14:15:22Z"}